package com.example.dtf.utils

sealed class ScreenPaths (val route: String){
    object Auth: ScreenPaths("auth")
    object Login: ScreenPaths("auth/login")
    object Register: ScreenPaths("auth/register")
    object Post: ScreenPaths("posts/{post}")
    object Posts: ScreenPaths("posts")
    object NewPost: ScreenPaths("posts/new")
    object EditPost: ScreenPaths("posts/{post}/edit")
    object Profile: ScreenPaths("profile")
}